% !TEX root = ../main.tex

\usepackage[nogroupskip,record,symbols,nomain,style=long]{glossaries-extra}
\usepackage{glossary-bookindex}

\renewcommand{\glsxtrbookindexformatheader}[1]{}
\renewcommand{\glsxtrbookindexbookmark}[2]{}

\glsenablehyper
\newglossary{index}{}{}{Index}
\newglossary{solvers}{}{}{Solvers}
\glsxtrresourcefile[src=style/index,type=index,save-locations=true]{build/main}
\setabbreviationstyle{long-short}

\newcommand{\silentindex}[1]{\glsadd{index:#1}\ignorespaces}
\newcommand{\silentdefindex}[1]{\glsadd[format=hyperbf]{index:#1}\ignorespaces}
\renewcommand{\index}[1]{\emph{\gls{index:#1}}}
\newcommand{\defindex}[1]{\emph{\gls[format=hyperbf]{index:#1}}}
\newcommand{\indexpl}[1]{\emph{\glspl{index:#1}}}
\newcommand{\defindexpl}[1]{\emph{\glspl[format=hyperbf]{index:#1}}}

\setglossarypreamble[index]{\vspace*{-4.5ex}}
\renewcommand{\glsxtrbookindexatendgroup}[1]{\vfill{}}
